| 400 |
createExperienceConnection |
POST /experience-connections |
Bad Request - A query parameter was set with an invalid value |
| 400 |
getExperienceAssignability |
GET /experiences/{experienceId}/assignability |
Bad Request. Possible causes: - targetType is missing or not a valid enum value - targetValue is missing - targetValue format does not match the expected format for the given targetType: - PHONE_NUMBER requires E.164 format (e.g., +14155551234) - USER requires UUID format (e.g., c07881d7-200f-424e-b760-f24838f31eef) - ACCOUNT requires UUID format (e.g., c07881d7-200f-424e-b760-f24838f31eef) |
| 400 |
getExperienceAssignments |
GET /experience-assignments |
Bad Request. Possible causes: - No filter parameter provided (at least accountId or targetType with targetValue is required) - targetValue provided without targetType - accountId is not a valid UUID - targetValue format does not match the expected format for the given targetType |
| 400 |
getExperienceConnections |
GET /experience-connections |
Bad Request - A query parameter was set with an invalid value |
| 400 |
updateExperienceConnection |
PUT /experience-connections/{experienceConnectionId} |
Bad Request - Request is malformed |
| 401 |
createExperienceAssignment |
POST /experience-assignments |
Unauthorized - Missing or expired access token. Obtain a new token and retry. |
| 401 |
createExperienceConnection |
POST /experience-connections |
Unauthorized - Missing or expired access token. Obtain a new token and retry. |
| 401 |
deleteExperienceAssignment |
DELETE /experience-assignments/{assignmentId} |
Unauthorized - Missing or expired access token. Obtain a new token and retry. |
| 401 |
deleteExperienceConnection |
DELETE /experience-connections/{experienceConnectionId} |
Unauthorized - Missing or expired access token. Obtain a new token and retry. |
| 401 |
getExperienceAssignability |
GET /experiences/{experienceId}/assignability |
Unauthorized - Missing or expired access token. Obtain a new token and retry. |
| 401 |
getExperienceAssignment |
GET /experience-assignments/{assignmentId} |
Unauthorized - Missing or expired access token. Obtain a new token and retry. |
| 401 |
getExperienceAssignments |
GET /experience-assignments |
Unauthorized - Missing or expired access token. Obtain a new token and retry. |
| 401 |
getExperienceConnection |
GET /experience-connections/{experienceConnectionId} |
Unauthorized - Missing or expired access token. Obtain a new token and retry. |
| 401 |
getExperienceConnections |
GET /experience-connections |
Unauthorized - Missing or expired access token. Obtain a new token and retry. |
| 401 |
updateExperienceConnection |
PUT /experience-connections/{experienceConnectionId} |
Unauthorized - Missing or expired access token. Obtain a new token and retry. |
| 403 |
createExperienceConnection |
POST /experience-connections |
Forbidden - The authenticated user does not have authorization to create an Experience Connection |
| 403 |
deleteExperienceAssignment |
DELETE /experience-assignments/{assignmentId} |
Forbidden - Experience Assignment exists, the authenticated user has authorization to read but no authorization to delete the Experience Assignment |
| 403 |
deleteExperienceConnection |
DELETE /experience-connections/{experienceConnectionId} |
Forbidden - Experience Connection exists, the authenticated user has authorization to read but no authorization to delete the Experience Connection |
| 403 |
getExperienceAssignability |
GET /experiences/{experienceId}/assignability |
Forbidden - Experience exists, the authenticated user has authorization to read but no authorization to check assignability for the Experience |
| 403 |
updateExperienceConnection |
PUT /experience-connections/{experienceConnectionId} |
Forbidden - Experience Connection exists, the authenticated user has authorization to read but no authorization to update it |
| 404 |
deleteExperienceAssignment |
DELETE /experience-assignments/{assignmentId} |
Not Found - Experience Assignment does not exist, already deleted, or the authenticated user does not have authorization to access the Experience Assignment |
| 404 |
deleteExperienceConnection |
DELETE /experience-connections/{experienceConnectionId} |
Not Found - Experience Connection does not exist, already deleted, or the authenticated user does not have authorization to access it |
| 404 |
getExperienceAssignability |
GET /experiences/{experienceId}/assignability |
Not Found - Experience does not exist or the authenticated user does not have authorization to access the Experience |
| 404 |
getExperienceAssignment |
GET /experience-assignments/{assignmentId} |
Not Found - Experience Assignment does not exist or the authenticated user does not have authorization to access the Experience Assignment |
| 404 |
getExperienceConnection |
GET /experience-connections/{experienceConnectionId} |
Not Found - Experience Connection does not exist or the authenticated user does not have authorization to access it |
| 404 |
updateExperienceConnection |
PUT /experience-connections/{experienceConnectionId} |
Not Found - Experience Connection does not exist or the authenticated user does not have authorization to access it |
| 409 |
createExperienceAssignment |
POST /experience-assignments |
Conflict - Cannot create Experience Assignment in this state |
| 409 |
createExperienceConnection |
POST /experience-connections |
Conflict - Experience Connection already exists for this account and Experience |
| 409 |
deleteExperienceConnection |
DELETE /experience-connections/{experienceConnectionId} |
Conflict - Experience Connection cannot be deleted while TNs are still assigned to the Experience |
| 409 |
updateExperienceConnection |
PUT /experience-connections/{experienceConnectionId} |
Conflict - The Experience Connection is already in the requested state |
| 422 |
createExperienceAssignment |
POST /experience-assignments |
Unprocessable Entity. Possible causes: - Missing required fields or invalid values - Target was already assigned to the Experience (i.e., duplicate assignment) - targetValue format does not match the expected format for the given targetType: - PHONE_NUMBER requires E.164 format (e.g., +14155551234) - USER requires UUID format (e.g., c07881d7-200f-424e-b760-f24838f31eef) - ACCOUNT requires UUID format (e.g., c07881d7-200f-424e-b760-f24838f31eef) - targetType is USER but the specified user-id in targetValue does not exist in the unified user cache - targetType is PHONE_NUMBER, the referenced Experience is of type AGENT, and the phone number is already assigned to another AGENT Experience |
| 422 |
createExperienceConnection |
POST /experience-connections |
Unprocessable Entity - Invalid data (missing required fields, invalid values) |
| 422 |
updateExperienceConnection |
PUT /experience-connections/{experienceConnectionId} |
Unprocessable Entity - Invalid data (missing required fields, invalid values) |